# Uses of Enum Class
org.apache.lucene.analysis.morph.TokenType

Packages that use TokenType
Package
Description
org.apache.lucene.analysis.morph
Abstract classes for morphological analyzers.

## Uses of TokenType in org.apache.lucene.analysis.morph

Fields in org.apache.lucene.analysis.morph declared as TokenType
Modifier and Type
Field
Description
`protected final TokenType`
Token.`type`
Fields in org.apache.lucene.analysis.morph with type parameters of type TokenType
Modifier and Type
Field
Description
`protected final EnumMap<TokenType,Dictionary<? extends U>>`
ViterbiNBest.`dictionaryMap`
Methods in org.apache.lucene.analysis.morph that return TokenType
Modifier and Type
Method
Description
`TokenType`
Viterbi.Position.`getBackType(int index)`
`TokenType`
ViterbiNBest.PositionNBest.`getForwardType(int index)`
`TokenType`
ViterbiNBest.Lattice.`getNodeDicType(int node)`
`TokenType`
Token.`getType()`
Returns the type of this token
`static TokenType`
TokenType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TokenType[]`
TokenType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.lucene.analysis.morph with parameters of type TokenType
Modifier and Type
Method
Description
`protected final void`
Viterbi.`add(MorphData morphData, Viterbi.Position fromPosData, int wordPos, int endPos, int wordID, TokenType type, boolean addPenalty)`
Add a token on the minimum cost path to the pending token list.
`void`
Viterbi.Position.`add(int cost, int lastRightID, int backPos, int backRPos, int backIndex, int backID, TokenType backType)`
`void`
ViterbiNBest.PositionNBest.`addForward(int forwardPos, int forwardIndex, int forwardID, TokenType forwardType)`
`Dictionary<? extends T>`
GraphvizFormatter.DictionaryProvider.`get(TokenType type)`
Constructors in org.apache.lucene.analysis.morph with parameters of type TokenType
Modifier
Constructor
Description
`protected`
`Token(char[] surfaceForm, int offset, int length, int startOffset, int endOffset, TokenType type)`